Actual version of the Library

How to enrich your business applications with extra functionality offered by 1C:Subsystems Library

#1
People who like this:0Yes/0No
Just came
Rating: 0
Joined: Apr 5, 2012
Company:

Dear colleagues!

Here 1C:Subsystems Library  we can download 1.0.7.5 version of the “1C:SL”. In another chapter of this portal 1C:Small Business   we can download “1C:Small Business” software solution. And  inside current version of the “1C:Small Business” 1.4.1.21 we can find a more recent version of “1C:SL” 1.1.3.4.

Why most recent version of the “1C:SL” is not posted on this portal?
Can we use 1.1.3.4 in our work?
If it is not forbidden, should we extract it fr om “1C:Small Business” ourselves? May be there is another resourse, wh ere most recent version of the “1C:SL” is posted?

 
#2
People who like this:0Yes/0No
Timofey Bugaevsky
Guest

Joined:
Company:

The latest version, available in English is the one that is built into 1C:Small Business 1.4.

 
#3
People who like this:0Yes/0No
Just came
Rating: 0
Joined: Apr 5, 2012
Company:

I see. Can we extract the latest version of the "1C:SL" from the "1C:Small Business" for independent use? Is it OK?

 
#4
People who like this:0Yes/0No
Timofey Bugaevsky
Guest

Joined:
Company:

As it is said in overview of 1C:Small Business,

Quote
1C:Small Business, a free business application, is distributed "as is" and can be used as a basis to develop own applications. This program is distributed WITHOUT ANY WARRANTY and 1C Company is not providing a support for this application. In order to use 1C:Small Business, it is required to own or acquire valid licenses of 1C:Enterprise platform.
At the same time you can not extract 1C:Subsystems Library and distribute it separately.

 
#5
People who like this:0Yes/0No
Just came
Rating: 0
Joined: Apr 5, 2012
Company:

So, we cannot use in our product  1C:SL 1.1.3.4 which is available now inside 1C:SMB only.
There is an independent package of  1C:SL , but it is outdated – the version is 1.0.7.5.
As we found the version 1.1.3.4 differs from the version 1.0.7.5 very much.
We want use 1C:SL in our product, but we don’t want use the outdated version 1.0.7.5.
Have any plans of update independent package of 1C:SL up to the latest version 1.1.3.4?

 
#6
People who like this:0Yes/0No
Timofey Bugaevsky
Guest

Joined:
Company:

You can use any part, even 1C:Subystems Library from 1C:Small Business, but as a part of your application, not to distribute it separately as SL or your product.
The independend package will not be updated to version that is built into 1C:Small Business 1.4.

 
#7
People who like this:0Yes/0No
Just came
Rating: 0
Joined: Apr 5, 2012
Company:

Thank you for your explanation.

 
#8
People who like this:0Yes/0No
Just came
Rating: 0
Joined: Jan 14, 2013
Company:

Quote
Timofey Bugaevsky wrote:
You can use any part, even 1C:Subystems Library from 1C:Small Business, but as a part of your application, not to distribute it separately as SL or your product.
The independend package will not be updated to version that is built into 1C:Small Business 1.4.
I read this topic, but didn’t understood how we can use 1C:SL. Can we base our commercial product on 1C:SL and distribute our product themselves?

 
#9
People who like this:0Yes/0No
Timofey Bugaevsky
Guest

Joined:
Company:

Yes, you can base your commercial products on 1C:SL and distribute that products.

 
Subscribe
Be the first to know tips & trick on business application development!

A confirmation e-mail has been sent to the e-mail address you provided .

Click the link in the e-mail to confirm and activate the subscription.